/// <reference types="react" />
import * as React from "react";
import { IFormInputHTMLProps } from "../form";
export declare type ITagInputProps = IFormInputHTMLProps<React.InputHTMLAttributes<HTMLInputElement>> & {
    suggestions?: string[];
    onChange?: (tags: string[]) => void;
    value?: string[];
};
export declare class TagInput extends React.Component<ITagInputProps, {
    tags: string[];
    suggestions: string[];
    suggestionIndex: number;
}> {
    static defaultProps: Partial<ITagInputProps>;
    input: HTMLInputElement | HTMLTextAreaElement;
    constructor(props: any);
    focus(): void;
    blur(): void;
    componentWillReceiveProps(nextProps: ITagInputProps): void;
    componentWillMount(): void;
    findOne(haystack: any[], arr: any[]): boolean;
    private onKeyUp(e);
    private makeComparison(value);
    private filterSuggestions(value);
    private onKeyDown(e);
    addTag(tag: string): void;
    removeTag(index: number): void;
    private notifyTagsChange;
    private notifySuggestionsChange;
    private renderSuggestions(suggestions);
    render(): JSX.Element;
}
